=== alljoyn_core/samples/openwrt/chatresponder/Makefile ===
# Copyright AllSeen Alliance. All rights reserved.
#
#    Permission to use, copy, modify, and/or distribute this software for any
#    purpose with or without fee is hereby granted, provided that the above
#    copyright notice and this permission notice appear in all copies.
#
#    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
#    WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
#    MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
#    ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
#    WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
#    ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
#    OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

ifneq ($(TARGET_CC),)
CC:=$(TARGET_CC)
endif

ifneq ($(TARGET_CXX),)
CXX:=$(TARGET_CXX)
else
endif

CPPFLAGS:=$(TARGET_CPPFLAGS) -DQCC_OS_GROUP_POSIX -DQCC_OS_LINUX
CXXFLAGS:=$(TARGET_CXXFLAGS) -Wall
LDLIBS:=$(TARGET_LDFLAGS) -lalljoyn -lcrypto -lssl -lpthread -lrt

all: chatresponder

clean:
	$(RM) chatresponder chatresponder.o

chatresponder: chatresponder.cc
