## alljoyn-core-1509 15.09a

=== debian/changelog ===
alljoyn-core-1509 (15.09a-4) unstable; urgency=medium

  * take care of gcc-6 build errors (Closes: #831091)
  * deactivating gtest for now as it does not work with gcc-6
    (-> look at #833636)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 07 Aug 2016 12:31:37 +0200

alljoyn-core-1509 (15.09a-3) unstable; urgency=medium

  * put some software for testing the library to
    /usr/lib/${DEB_HOST_MULTIARCH}/alljoyn/1504/bin

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 29 Jun 2016 22:11:32 +0200

alljoyn-core-1509 (15.09a-2) unstable; urgency=medium

  * add patch to remove -Bsymbolic for creating shared libraries
    with soname

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 22 Jun 2016 19:28:32 +0200

alljoyn-core-1509 (15.09a-1) unstable; urgency=medium

  * Initial release (Closes: #827205)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 13 Jun 2016 19:28:32 +0200
