=== debian/control ===
Source: alljoyn-core-1509
Section: net
Priority: extra
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: dh-exec (>=0.3)
               , dh-systemd (>= 1.5) 
               , debhelper (>=9)
               , libssl-dev
               , libgtest-dev
	       , junit
	       , libcsv-java
	       , libmatthew-debug-java
	       , libitext-java
               , scons
               , libcap-dev
#	       , javahelper
#               , ant
Standards-Version: 3.9.8
Homepage: https://allseenalliance.org/framework
Vcs-Browser: https://anonscm.debian.org/cgit/debian-iot/alljoyn-core-1509.git
Vcs-Git: https://anonscm.debian.org/git/debian-iot/alljoyn-core-1509.git

#Package: alljoyn-doc-1509
#Architecture: all
#Depends: ${misc:Depends}
#Section: doc
#Description: documentation for alljoyn
# AllJoyn is a collaborative open-source software framework that makes 
# it easy for developers to write applications that can discover nearby
# devices, and communicate with each other directly regardless of 
# brands, categories, transports, and OSes without the need of the cloud. 
# .
# The AllJoyn framework is extremely flexible with many features to help 
# make the vision of the Internet of Things come to life.
# .
# This package contains the documentation.

Package: liballjoyn1509
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AllJoyn C++ run-time library
 AllJoyn is a collaborative open-source software framework that makes 
 it easy for developers to write applications that can discover nearby
 devices, and communicate with each other directly regardless of 
 brands, categories, transports, and OSes without the need of the cloud. 
 .
 The AllJoyn framework is extremely flexible with many features to help 
 make the vision of the Internet of Things come to life.
 .
 This package contains the C++ run-time library.

Package: liballjoyn-dev-1509
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         liballjoyn1509 (= ${binary:Version}),
         liballjoyn-common-dev-1509 (= ${binary:Version})
Section: libdevel
Conflicts: liballjoyn-dev-1504
Description: AllJoyn C++ development library
 AllJoyn is a collaborative open-source software framework that makes 
 it easy for developers to write applications that can discover nearby
 devices, and communicate with each other directly regardless of 
 brands, categories, transports, and OSes without the need of the cloud. 
 .
 The AllJoyn framework is extremely flexible with many features to help 
 make the vision of the Internet of Things come to life.
 .
 This package contains the C++ development files.

Package: liballjoyn-c1509
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AllJoyn C run-time library
 AllJoyn is a collaborative open-source software framework that makes 
 it easy for developers to write applications that can discover nearby
 devices, and communicate with each other directly regardless of 
 brands, categories, transports, and OSes without the need of the cloud. 
 .
 The AllJoyn framework is extremely flexible with many features to help 
 make the vision of the Internet of Things come to life.
 .
 This package contains the C run-time library

Package: liballjoyn-c-dev-1509
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         liballjoyn-c1509 (= ${binary:Version}),
         liballjoyn-common-dev-1509 (= ${binary:Version})
Conflicts: liballjoyn-c-dev-1504
Section: libdevel
Description: AllJoyn C development library
 AllJoyn is a collaborative open-source software framework that makes 
 it easy for developers to write applications that can discover nearby
 devices, and communicate with each other directly regardless of 
 brands, categories, transports, and OSes without the need of the cloud. 
 .
 The AllJoyn framework is extremely flexible with many features to help 
 make the vision of the Internet of Things come to life.
 .
 This package contains the C development files.

Package: alljoyn-daemon-1509
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: alljoyn-daemon-1504
Description: AllJoyn daemon service
 AllJoyn is a collaborative open-source software framework that makes 
 it easy for developers to write applications that can discover nearby
 devices, and communicate with each other directly regardless of 
 brands, categories, transports, and OSes without the need of the cloud. 
 .
 The AllJoyn framework is extremely flexible with many features to help 
 make the vision of the Internet of Things come to life.
 .
 This package contains daemon services.

Package: liballjoyn-common-dev-1509
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python
Conflicts: liballjoyn-common-dev-1504
Section: libdevel
Description: AllJoyn common development files
 AllJoyn is a collaborative open-source software framework that makes 
 it easy for developers to write applications that can discover nearby
 devices, and communicate with each other directly regardless of 
 brands, categories, transports, and OSes without the need of the cloud. 
 .
 The AllJoyn framework is extremely flexible with many features to help 
 make the vision of the Internet of Things come to life.
 .
 This package contains commmon development files.
