## alljoyn-core-1509 15.09a+dfsg.1

=== debian/changelog ===
alljoyn-core-1509 (15.09a+dfsg.1-2) unstable; urgency=medium

  * debian/control: use dh11
  * debian/control: bump standard to 4.1.3 (no changes)
  * debian/control: add salsa URLs
  * debian/control: don't use --with systemd anymore
  * debian/control: remove dh_systemd dependency
  * debian/copyright: use https

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 20 Feb 2018 19:01:37 +0100

alljoyn-core-1509 (15.09a+dfsg.1-1) unstable; urgency=medium

  * add gcc7 patch (Closes: #853305)
  * remove non-DFSG files alljoyn_core/router/ConvertUTF.*
  * debian/control: change priority: from extra to optional
  * debian/control: bump standard to 4.0.1 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 14 Aug 2017 19:21:37 +0100

alljoyn-core-1509 (15.09a-5) unstable; urgency=medium

  * move maintenance to debian-iot team
  * debian/rules: use builtin crypt (Closes: #844800)
                  don't use openssl until hassle has ended
  * debian/control: add dependency for lsb-base (>= 3.0-6)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 29 Nov 2016 18:01:37 +0100
