=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: alljoyn-core-1509
 Section: net
-Priority: extra
-Maintainer: Thorsten Alteholz <debian@alteholz.de>
+Priority: optional
+Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
+Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: dh-exec (>=0.3)
-               , dh-systemd (>= 1.5) 
-               , debhelper (>=9)
+               , debhelper (>=11)
                , libssl-dev
                , libgtest-dev
 	       , junit
@@ -15,10 +15,11 @@
                , libcap-dev
 #	       , javahelper
 #               , ant
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://allseenalliance.org/framework
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-iot/alljoyn-core-1509.git
-Vcs-Git: https://anonscm.debian.org/git/debian-iot/alljoyn-core-1509.git
+Vcs-Browser: https://salsa.debian.org/debian-iot-team/alljoyn/alljoyn-core-1509.git
+Vcs-Git: https://salsa.debian.org/debian-iot-team/alljoyn/alljoyn-core-1509.git
+
 
 #Package: alljoyn-doc-1509
 #Architecture: all
@@ -102,6 +103,7 @@
 Package: alljoyn-daemon-1509
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+       , lsb-base (>= 3.0-6)
 Conflicts: alljoyn-daemon-1504
 Description: AllJoyn daemon service
  AllJoyn is a collaborative open-source software framework that makes
