=== debian/rules ===
--- 
+++ 
@@ -22,14 +22,15 @@
 export VERSION := 15.09a
 export SONAME := 1509
 export VARIANT := release
-#XXX deactivate test for now: export SCONS_ARGS := CPU=$(CPU) OS=$(OS) VARIANT=$(VARIANT) V=1 GTEST_DIR=$(GTEST_DIR)
-export SCONS_ARGS := CPU=$(CPU) OS=$(OS) VARIANT=$(VARIANT) V=1
+#XXX deactivate test for now: export SCONS_ARGS := CPU=$(CPU) OS=$(OS) VARIANT=$(VARIANT) V=1 GTEST_DIR=$(GTEST_DIR) CRYPTO=builtin
+export SCONS_ARGS := CPU=$(CPU) OS=$(OS) VARIANT=$(VARIANT) V=1 CRYPTO=builtin
 export BUILD_DIR := $(CURDIR)/build/$(OS)/$(CPU)/$(VARIANT)/dist
 export OBJ_DIR := $(CURDIR)/build/$(OS)/$(CPU)/$(VARIANT)/obj
 
 %:
 #	dh $@ --with javahelper
-	dh $@ --with systemd
+#	dh $@ --with systemd
+	dh $@
 
 override_dh_auto_build:
 #XXX does not build yet
